%global packname  statmod

Name:             R-%{packname}
Version:          1.4.6
Release:          1%{?dist}
Summary:          Statistical modeling

Group:            Applications/Engineering 
License:          LGPLv2+
URL:              http://cran.r-project.org/web/packages/statmod/
Source0:          http://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:        noarch 

Requires:         R-core >= 1.6.1 
BuildRequires:    R-devel >= 1.6.1 
# No check (see below) -> no additional BR required
# suggests:
#Requires:         R-tweedie 
#BuildRequires:    tex(latex)
# suggests:
#BuildRequires:    R-tweedie

%description
Various statistical modeling functions including growth curve comparisons,
limiting dilution analysis, mixed linear models, heteroscedastic
regression, Tweedie family generalized linear models, the inverse-Gaussian
distribution and Gauss quadrature.


%prep
%setup -q -c -n %{packname}


%build


%install
rm -rf %{buildroot}

# noarch -> Architecture independent package
mkdir -p %{buildroot}%{_datadir}/R/library 
R CMD INSTALL %{packname} -l %{buildroot}%{_datadir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_datadir}/R/library/R.css


# Can't perform check because of circular dep with R-tweedie
#%check
#R CMD check %{packname}

# No reasons those files should be executable
for file in "doc/index.html" "doc/changelog.txt"; do
  chmod -x %{buildroot}%{_datadir}/R/library/%{packname}/$file
done

# CRLF -> LF
file=%{buildroot}%{_datadir}/R/library/%{packname}/doc/changelog.txt
sed "s|\r||g" $file > $file.new && \
touch -r $file $file.new && \
mv $file.new $file


%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root, -)

#noarch
%dir %{_datadir}/R/library/%{packname}/
%doc %{_datadir}/R/library/%{packname}/doc/
%doc %{_datadir}/R/library/%{packname}/html/
%doc %{_datadir}/R/library/%{packname}/DESCRIPTION
%{_datadir}/R/library/%{packname}/INDEX
%{_datadir}/R/library/%{packname}/NAMESPACE
%{_datadir}/R/library/%{packname}/Meta/
%{_datadir}/R/library/%{packname}/R/
%{_datadir}/R/library/%{packname}/help/
%{_datadir}/R/library/%{packname}/data/


%changelog
* Tue May 11 2010 Sandro Mathys <red at fedoraproject.org> - 1.4.6-1
- initial package
